#pragma once

#include <string>
#include <unordered_map>

using std::string;
using std::string_view;

namespace Feather
{
    class ServerProperties
    {
    public:
        ServerProperties(const char* path);

        template <typename T>
        T Get(string_view key);
    private:
        std::unordered_map<string, string> properties;
    };
}